#######################################################################
##### Part of the VortexGE Configuration Script                   #####
##### Copyright (C) 2004-2006 Aloysius Indrayanto                 #####
##### GNU Lesser General Public License                           #####
##### ----------------------------------------------------------- #####
##### EDITING THIS FILE ERRONEOUSLY MAY CAUSE THIS SCRIPT TO FAIL #####
##### ----------------------------------------------------------- #####
##### This program is distributed WITHOUT ANY WARRANTY.           #####
##### See the GNU Lesser General Public License for more details. #####
#######################################################################

#######################################################################
##### Functions for Setting Default Configuration Options
#######################################################################

##### Set the default configuration options
SetDefOptions()
{
  VGInsDSel=$VGInsDDef
  Processor=$CPU_Autodetect
  DetectPEx='Y'
  ColorMsgs='Y'
  UseXF86VM='Y'
  UseXShmEx='Y'
  UseXMuExt='Y'
  UseLibPng='Y'
  UseLibJpg='Y'
  UseLibTif='Y'
  UseLibGif='Y'
  InlineAsm='Y'
  UseDebugI='N'
  BuildALib='N'
  AlignedMO='Y'
  QuadWrdMO='Y'
  OptzLevel='3'
}

##### Set the default configuration options with customizations
SetDefOptionsCstm()
{
  if [[ $VGInsDSel != '' ]]; then
    FixDir $VGInsDSel VGInsDSel
    echo $_COLOR_YELLOW"  Using $VGInsDSel as the installation directory"$_COLOR_WHITE
  else
    VGInsDSel=$VGInsDDef
  fi

  Processor=$CPU_Autodetect
  DetectPEx='Y'

  ColorMsgs='Y'

  if [[ $UseXF86VM == 'D' ]]; then
    UseXF86VM='N'
    echo $_COLOR_YELLOW"  Detection of xf86vm extension is disabled"$_COLOR_WHITE
  fi
  if [[ $UseXShmEx == 'D' ]]; then
    UseXShmEx='N'
    echo $_COLOR_YELLOW"  Detection of xshm extension is disabled"$_COLOR_WHITE
  fi
  if [[ $UseXMuExt == 'D' ]]; then
    UseXMuExt='N'
    echo $_COLOR_YELLOW"  Detection of X miscellaneous utilities is disabled"$_COLOR_WHITE
  fi

  if [[ $UseLibPng == 'D' ]]; then
    UseLibPng='N'
    echo $_COLOR_YELLOW"  Detection of libpng is disabled"$_COLOR_WHITE
  fi
  if [[ $UseLibJpg == 'D' ]]; then
    UseLibJpg='N'
    echo $_COLOR_YELLOW"  Detection of libjpeg is disabled"$_COLOR_WHITE
  fi
  if [[ $UseLibTif == 'D' ]]; then
    UseLibTif='N'
    echo $_COLOR_YELLOW"  Detection of libtiff is disabled"$_COLOR_WHITE
  fi
  if [[ $UseLibGif == 'D' ]]; then
    UseLibGif='N'
    echo $_COLOR_YELLOW"  Detection of libungif is disabled"$_COLOR_WHITE
  fi

  if [[ $InlineAsm != 'D' ]]; then
    InlineAsm='Y'
  else
    InlineAsm='N'
    echo $_COLOR_YELLOW"  Inline assembly optimization disabled"$_COLOR_WHITE
  fi
  if [[ $UseDebugI == 'E' ]]; then
    UseDebugI='Y'
    echo $_COLOR_YELLOW"  Debugging information is enabled"$_COLOR_WHITE
  else
    UseDebugI='N'
  fi
  if [[ $BuildALib == 'E' ]]; then
    BuildALib='Y'
    echo $_COLOR_YELLOW"  Static library built is enabled"$_COLOR_WHITE
  else
    BuildALib='N'
  fi

  AlignedMO='Y'
  QuadWrdMO='Y'

  if [[ $UseDebugI == 'Y' ]]; then
    OptzLevel='0'
  else
    OptzLevel='3'
  fi
}

##### Set the safest configuration options
SetSafeOptions()
{
  VGInsDSel='/opt/vortexge/'
  Processor=$CPU_Anyi586Compatible
  DetectPEx='N'
  ColorMsgs='N'
  UseXF86VM='N'
  UseXShmEx='N'
  UseXMuExt='N'
  UseLibPng='N'
  UseLibJpg='N'
  UseLibTif='N'
  UseLibGif='N'
  InlineAsm='N'
  UseDebugI='N'
  BuildALib='N'
  AlignedMO='Y'
  QuadWrdMO='Y'
  OptzLevel='2'
}
