// ############################################################################################
//  Player.cc
//  Implementation of CMIDIPlayer class using dummy (NULL) MIDI player
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This library is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################

// VortexGE headers
#include "../../Base/MessageDisplayer.h"
#include "MDMYPlayer.h"


namespace vge {

//
// The dummy MIDI player implementation
//
VCLASS_SINGLETON_IMPLEMENT(CDummyMidiPlayer)

CDummyMidiPlayer::~CDummyMidiPlayer() throw()
{
}

void CDummyMidiPlayer::InitializeDevice(CAudioEnv *pcsVAudioEnv)
{
  UNUSED_PARAM(pcsVAudioEnv);
  VWarning(_NFL_, "Using dummy (NULL) MIDI player !!!");
}

void CDummyMidiPlayer::Play(bool bLooping)
{
  UNUSED_PARAM(bLooping);
}

void CDummyMidiPlayer::SetVolume(uint8_t un8VolProcent)
{
  UNUSED_PARAM(un8VolProcent);
}

void CDummyMidiPlayer::LoadMID(const CDataSource &source)
{
  UNUSED_PARAM(source);
}

void CDummyMidiPlayer::_MixWithBuffer(unsigned char *pucBuffer, uint32_t un32BuffSize, volatile bool *pbForceExit)
{
  UNUSED_PARAMS_3(pucBuffer, un32BuffSize, pbForceExit);
}

} // namespace vge
