// s2t.cc
// Convert space characters as many as TAB_SIZE to a single tab character
//
// Copyright (C) 2004-2006 Aloysius Indrayanto
// This small utility is licensed under the GNU LGPL
//
// Usage: ./st2 in_file  [> out-file]
//
#include <stdio.h>
#include <stdlib.h>


// Make sure that this is set with the correct value
#define TAB_SIZE 2


int main(int argc, char *argv[])
{
  if(argc != 2) {
    printf("\nUsage:");
    printf("\n  %s in-file [> out-file]", argv[0]);
    printf("\n\n");
    exit(1);
  }

  FILE *fp;
  int   c, n;
  bool  b;

  fp = fopen(argv[1], "rb");
  if(!fp) {
    printf("\nCouldn't open input file \"%s\"\n\n", argv[1]);
    exit(1);
  }

  b = true; n = 0;
  c = fgetc(fp);
  while(c != EOF) {
    if(b) {
      if(c == ' ') {
        n++;
        if(n >= TAB_SIZE) {
          fputc('\t', stdout);
          n = 0;
        }
      }
      else {
        if(n) {
          for(int x = 0; x < n; x++) fputc(' ', stdout);
          n = 0;
        }
        fputc(c, stdout);
        if((c == '\n') || (c == '\r'))
          b = true;
        else
          b = false;
      }
    }
    else {
      fputc(c, stdout);
      if((c == '\n') || (c == '\r')) b = true;
    }
    c = fgetc(fp);
  }

  fclose(fp);
}
