// ############################################################################################
//  roomedit-BIcon.h
//  Definition of roomedit's button icons
//  -------------------------------------------------------------------------------------------
//  Copyright (C) 2004-2006 Aloysius Indrayanto
//  This file is part of VortexGE
//
//  This program is free software; you can redistribute it and/or modify it under the terms of
//  the GNU Lesser General Public License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License along with this
//  library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
//  Boston, MA 02111-1307 USA.
// ############################################################################################
#ifndef _UTIL___ROOMEDIT_BICON_H_
#define _UTIL___ROOMEDIT_BICON_H_


//
// roomedit's button icons
//
static const char *btnEditObject_xpm[] = {
  "16 16 5 1",
  " 	c None",
  ".	c #303030",
  "+	c #808080",
  "@	c #A0A0A0",
  "#	c #DCDCDC",
  "###############@",
  "###############@",
  "##..##.......##@",
  "##++##+++++++##@",
  "###############@",
  "###############@",
  "##..##.......##@",
  "##++##+++++++##@",
  "###############@",
  "###############@",
  "##..##.......##@",
  "##++##+++++++##@",
  "###############@",
  "###############@",
  "###############@",
  "@@@@@@@@@@@@@@@@"
};

static const char *btnRenObject_xpm[] = {
  "16 16 3 1",
  " 	c None",
  ".	c #000000",
  "+	c #808080",
  " ....+          ",
  ".++++.+ .....+  ",
  "     .+     .+  ",
  " .....+     .+  ",
  ".++++.+   .+.+.+",
  ".+   .+    ...+ ",
  ".+   .+     .+  ",
  " ......+..+ +   ",
  " ++++++  .+     ",
  "         .+     ",
  "         .....+ ",
  "         .++++.+",
  "         .+   .+",
  "         .+   .+",
  "        ......+ ",
  "        ++++++  "
};

static const char *btnAlignObject_xpm[] = {
  "16 16 5 1",
  " 	c None",
  ".	c #C000C0",
  "+	c #FF00FF",
  "@	c #00C000",
  "#	c #00FF00",
  "                ",
  " #            # ",
  " #@           #@",
  " #@++++  ++++ #@",
  " #@+..+. +..+.#@",
  " #@+. +. +. +.#@",
  " #@++++. ++++.#@",
  " #@ ....  ....#@",
  " #@           #@",
  " #@++++  ++++ #@",
  " #@+..+. +..+.#@",
  " #@+. +. +. +.#@",
  " #@++++. ++++.#@",
  " #@ ....  ....#@",
  " #@           #@",
  "  @            @"
};

static const char *btnCloneObject_xpm[] = {
  "16 16 5 1",
  " 	c None",
  ".	c #000000",
  "+	c #C000C0",
  "@	c #FF00FF",
  "#	c #808080",
  "@@@@@           ",
  "@+++@+          ",
  "@+  @+  .....#  ",
  "@+  @+      .#  ",
  "@@@@@+      .#  ",
  " +++++    .#.#.#",
  "           ...# ",
  "            .#  ",
  "            #   ",
  "                ",
  "   @@@@@  @@@@@ ",
  "   @+++@+ @+++@+",
  "   @+  @+ @+  @+",
  "   @+  @+ @+  @+",
  "   @@@@@+ @@@@@+",
  "    +++++  +++++"
};

static const char *btnDelObject_xpm[] = {
  "16 16 3 1",
  " 	c None",
  ".	c #800000",
  "+	c #FF0000",
  "       ++.      ",
  "    ++++++++.   ",
  "   +........+.  ",
  " ++.         ++.",
  " +.++++++++++.+.",
  "   +........+.  ",
  "   +.       +.  ",
  "   +. +. +. +.  ",
  "   +. +. +. +.  ",
  "   +. +. +. +.  ",
  "   +. +. +. +.  ",
  "   +. +. +. +.  ",
  "   +.       +.  ",
  "    +.     +.   ",
  "     ++++++.    ",
  "      .....     "
};

static const char *btnNewPlane_xpm[] = {
  "16 16 7 1",
  "#	c None",
  "e	c #408080",
  "d	c #60c0c0",
  "c	c #80ffff",
  "b	c #800080",
  "a	c #c000c0",
  ".	c #ff00ff",
  ".........#######",
  "#..aaaaa..######",
  "##..bbbbb..b####",
  ".....b...#..b###",
  "#..a.........b##",
  "##..baaaacaaaab#",
  ".....b.bbcdbbbbb",
  "#..a.....cde.b##",
  "##..baaaacdeaab#",
  "###..cccccccccbb",
  "####..dddcddddd#",
  "#####aaeecdeeeee",
  "#######bbcdebbbb",
  "#########cde####",
  "##########de####",
  "###########e####"
};

static const char *btnLeftCamera_xpm[] = {
  "16 16 10 1",
  " 	c None",
  ".	c #004000",
  "+	c #800080",
  "@	c #C00000",
  "#	c #008000",
  "$	c #FF0000",
  "%	c #C000C0",
  "&	c #FF00FF",
  "*	c #00C000",
  "=	c #00FF00",
  "             %+ ",
  "          $@ &%+",
  "        $@   &%+",
  "      $@     &%+",
  "    $@       &%+",
  " **          &%+",
  "##**         &%+",
  ".##=         &%+",
  ".##=         &%+",
  "##**         &%+",
  " **          &%+",
  "    $@       &%+",
  "      $@     &%+",
  "        $@   &%+",
  "          $@ &%+",
  "             %+ "
};

static const char *btnRightCamera_xpm[] = {
  "16 16 10 1",
  " 	c None",
  ".	c #004000",
  "+	c #800080",
  "@	c #C00000",
  "#	c #008000",
  "$	c #FF0000",
  "%	c #C000C0",
  "&	c #FF00FF",
  "*	c #00C000",
  "=	c #00FF00",
  " +%             ",
  "+%& @$          ",
  "+%&   @$        ",
  "+%&     @$      ",
  "+%&       @$    ",
  "+%&          ** ",
  "+%&         **##",
  "+%&         =##.",
  "+%&         =##.",
  "+%&         **##",
  "+%&          ** ",
  "+%&       @$    ",
  "+%&     @$      ",
  "+%&   @$        ",
  "+%& @$          ",
  " +%             "
};

static const char *btnFrontCamera_xpm[] = {
  "16 16 10 1",
  " 	c None",
  ".	c #004000",
  "+	c #800080",
  "@	c #C00000",
  "#	c #008000",
  "$	c #FF0000",
  "%	c #C000C0",
  "&	c #FF00FF",
  "*	c #00C000",
  "=	c #00FF00",
  " ++++++++++++++ ",
  "+%%%%%%%%%%%%%%+",
  "%&&&&&&&&&&&&&&%",
  "                ",
  " @            @ ",
  " $            $ ",
  "  @          @  ",
  "  $          $  ",
  "   @        @   ",
  "   $        $   ",
  "    @      @    ",
  "    $      $    ",
  "      *==*      ",
  "     **##**     ",
  "     *####*     ",
  "      #..#      "
};

static const char *btnBackCamera_xpm[] = {
  "16 16 10 1",
  " 	c None",
  ".	c #004000",
  "+	c #800080",
  "@	c #C00000",
  "#	c #008000",
  "$	c #FF0000",
  "%	c #C000C0",
  "&	c #FF00FF",
  "*	c #00C000",
  "=	c #00FF00",
  "      #..#      ",
  "     *####*     ",
  "     **##**     ",
  "      *==*      ",
  "    $      $    ",
  "    @      @    ",
  "   $        $   ",
  "   @        @   ",
  "  $          $  ",
  "  @          @  ",
  " $            $ ",
  " @            @ ",
  "                ",
  "%&&&&&&&&&&&&&&%",
  "+%%%%%%%%%%%%%%+",
  " ++++++++++++++ "
};

static const char *btnGrid_xpm[] = {
  "16 16 5 1",
  "#	c None",
  "c	c #004000",
  "b	c #008000",
  "a	c #00c000",
  ".	c #00ff00",
  ".............###",
  ".aaaaa.aaaaa.a##",
  ".abbbb.abbbb.ab#",
  ".abccc.abccc.abc",
  ".abc##.abc##.abc",
  ".abc##.abc##.abc",
  ".............abc",
  ".aaaaa.aaaaa.abc",
  ".abbbb.abbbb.abc",
  ".abccc.abccc.abc",
  ".abc##.abc##.abc",
  ".abc##.abc##.abc",
  ".............abc",
  "#aaaaaaaaaaaaabc",
  "##bbbbbbbbbbbbbc",
  "###ccccccccccccc"
};

static const char *btnHelp_xpm[] = {
  "16 16 3 1",
  "#	c None",
  "b	c #202080",
  "a	c #4040ff",
  "#####aaaaaa#####",
  "####aaaaaaaa####",
  "###aaabbbbaaa###",
  "###aabb####aab##",
  "###aab#####aab##",
  "####bb###aaaab##",
  "#######aaaaabb##",
  "#######aabbbb###",
  "#######aab######",
  "#######aab######",
  "#######aab######",
  "########bb######",
  "################",
  "#######aa#######",
  "#######aab######",
  "########bb######"
};

#endif
